Subject: Re: bug#52342: [PATCH] Add Texinfo support for Flymake

From: Okamsn <[email-masked]>
Date: Wed, 08 Dec 2021 01:03:15 +0000

On 12/7/21 20:00, Okamsn wrote:
> On 12/7/21 18:46, João Távora wrote:
>>      require is always `eval-and-compile` (sorry if I misled you earlier).
>>      It's OK to use `eval-when-compile` when needing `cl-loop` from `cl-lib`
>>      if _all_ you need form `cl-lib` is indeed macros.
>>
>>      But for flymake, you need the actual runtime things too, right? So
>>      I think plain require is better and simpler
>>
>>
>> Hmmm, on second thought, it you're planning on relying on
>> autoloads for ultimate loading lazyness.... Hmm, maybe
>> you're right...
>>
>> João
>
> My thinking was that the Flymake features would be loaded when
> `flymake-mode` was enabled and that the added function `texinfo-flymake`
> won't run until Flymake is loaded and processes
> `flymake-diagnostic-functions`. Does that sound right?

This is what happened when I tested it with `emacs -q`, I should add.